<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

include_once"../template/isset.php"; 
	
$config_maxpostsub=10;// вывод подписчиков на стр.
$users=check($users);
$id=(int)$id;


$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101){

echo '<img src="../images/img/partners.gif" alt=""> <b>Управление подписчиками</b><br><br>';


//------------------------------- УДАЛЕНИЕ ПОДПИСЧИКА ----------------------------------//	
if($action=="delmail") {
if($id!=""){	
$file=file("../local/sub.dat");
$fp=fopen("../local/sub.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);


//------------------------ Запись в профиль -----------------------------//
if($users!=""){
$ufile = file(BASEDIR."local/profil/$users.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[34]="";
$udata[35]="";

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$users.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utext); 
}}
//-----------------------------------------------------------------------//

header ("Location: subscribe.php?start=$start&isset=mp_delsubmail&".SID);
}else{
header ("Location: subscribe.php?start=$start&isset=mp_nodelsubmail&".SID);	
}
}


//---------------------------------------- ПОДТВЕРЖДЕНИЕ ОЧИСТКИ -------------------------------------------//
if ($action=="poddel") {
echo'<br>Вы уверены что хотите удалить всех подписчиков из базы?<br>';
echo'<img src="../images/img/error.gif" alt=""> <b><a href="subscribe.php?action=alldel&amp;'.SID.'">Да уверен!</a></b><br>';	
	
echo '<br><img src="../images/img/back.gif" alt=""> <a href="subscribe.php?'.SID.'">Вернуться</a>';
}



//------------------------------ ОЧИСТКА БАЗЫ ПОДПИСЧИКОВ -------------------------------//
if ($action=="alldel") {
	
clear_files("../local/sub.dat");	

header ("Location: subscribe.php?isset=mp_delsuball&".SID);
}



//------------------------------- ГЛАВНАЯ СТРАНИЦА ----------------------------------//		
if(!isset($action)){	

$file = file("../local/sub.dat");
$total = count($file);    
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_maxpostsub){ $end = $total;}
else {$end = $start + $config_maxpostsub; }
for ($fm = $start; $fm < $end; $fm++){

$num=$total-$fm-1;
	
$file = file("../local/sub.dat");
$file = array_reverse($file);
$dt = explode("|",$file[$fm]);


echo '<img src="../images/img/chel.gif" alt=""><b>'.($fm+1).'. <a href="../pages/anketa.php?uz='.$dt[4].'&amp;'.SID.'">'.$dt[4].' </a></b>';
echo '<b><font color="#FF0000">(E-mail:'.$dt[0].')</font></b><br>';
echo ' (Подписан '.$dt[2].' / '.$dt[3].')<br>';

echo '<img src="../images/img/error.gif" alt=""> [<a href="subscribe.php?action=delmail&amp;start='.$start.'&amp;id='.$num.'&amp;users='.$dt[4].'&amp;'.SID.'">Удалить</a>]<hr>';


}

if ($start != 0) {echo '<a href="subscribe.php?start='.($start - $config_maxpostsub).'&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_maxpostsub) {echo ' <a href="subscribe.php?start='.($start + $config_maxpostsub).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo' Далее-&gt;';}

if($total>0){

$ba=ceil($total/$config_maxpostsub);
$ba2=$ba*$config_maxpostsub-$config_maxpostsub;

echo '<br><hr>Страницы:';
$asd=$start-($config_maxpostsub*3);
$asd2=$start+($config_maxpostsub*4);

if($asd<$total && $asd>0){echo ' <a href="subscribe.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_maxpostsub);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
               }
                else {
echo ' <a href="subscribe.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_maxpostsub;}
if($asd2<$total){echo ' ... <a href="subscribe.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}


echo '<br><br>Всего подписанных на рассылку: '.(int)$total.'<br>';

if($total>1){
echo '<br><img src="../images/img/error.gif" alt=""> <a href="subscribe.php?action=poddel&amp;'.SID.'">Удалить всех</a>';}
}


//-------------------------------- КОНЦОВКА ------------------------------------//	
echo '<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>

